e$(function() {
	init();
});

//  初始化
    function init() {
        var url     = getFullUrl('/api/mobile/order/check-order.do');
        var options = {
            url    : url,
            async  : true,
            success: function (data) {
                if(data.result == 1) {
                  var viewData = data.data; 
                  console.log(viewData);              
                  initTpl(viewData, $("#order_check_template"), $("#order_check_view")); 
                  bindEvents();
                } else {
                    e$.alert(data.message);
                }
            }
        };
        e$.ajax(options);   
    }

    function bindEvents() {

        //  初始选中地址
        initAddress();
        
        //给设置地址绑定单击事件
        $(".checked-adress").click(function() {
            e$.openWin({
                name : 'address-list',
                url : '../address/address-list.html',
                reload : true,
                pageParam:{
                    back : 'checkout',
                    type : '0'
                }
            });
            return false;
        });

        //  跳转到新建地址
        $('.no-address').on('tap', function() {
            e$.openWin({
                name : 'address-add',
                url : '../address/address-add.html',
                reload : true,
                pageParam:{
                    back : 'checkout',
                    type : '0'
                }
            });
            return false
        })
        //  备注信息
        $('#open-remark').on('tap', function() {
            openRemark();
            return false
        })
        
        //  提交订单
        $('#cerate-order').on('click', function() {
            cerateOrder();
        })
        
        // check-bonus
        $('.check-bonus').off('click').on('click', function() {
            e$.openWin({
                name : 'check-bonus',
                url : './checkout-bonus.html',
                reload : true
            });
        })
        // check-cart-list
        $('.check-cart-list').off('click').on('click', function() {
            e$.openWin({
                name : 'check-cart-list',
                url : './checkout-cart-list.html',
                reload : true
            });
        })
    }

    //  初始选中地址
    function initAddress() {
        var address_id = $("input[name='addressId']").val();
        if (!address_id) {
            return false
        }
        var url = getFullUrl('/api/store/store-order/change-address.do');
        $.ajax({
            url : url,
            data : {
                address_id : address_id
            },
            type : 'POST',
            success : function(res) {
                if (res.result == 1) {

                } else {
                    e$.alert(res.message);
                }
            },
            error : function() {
                e$.alert('初始化地址出错，请稍后重试！');
            }
        })
    }

    //  打开备注输入框
    function openRemark() {
        var _remark = $('#data-remark').val();
        var options = {
            title : "请输入备注",
            msg : "",
            text : _remark,
            buttons : ["取消", "确定"],
            callback : function(ret, err) {
                if (ret.buttonIndex == 2) {
//                  if (ret.text == '') {
//                      return false;
//                  }
                    
                    var value = removeEmojiCode(ret.text);
                    //  读取备注信息
                    $('#data-remark').val( value || '');
                    var info = value;
//                  if (value && value.length >= 4) {
//                      info = value.substring(0, 3) + "...";
//                  }
                    $('#view-remark').html(info || '未填写');  
                    if($('#view-remark')[0].innerHTML == '未填写'){
                        document.getElementById('view-remark').style.textAlign = 'right';
                    }else{
                        document.getElementById('view-remark').style.textAlign = 'left';
                    };
                }
            }
        };

        e$.prompt(options);
    }

    //  提交订单
    function cerateOrder() {
        var inputs = $('input[name]'), length = inputs.length, data = {};
        for (var i = 0; i < length; i++) {
            var _input = inputs.eq(i)[0], _name = _input.name, _val = _input.value;
            data[_name] = _val;
        }
        //支付方式默认为在线支付
        data["paymentId"] = 0;

        if (!data.addressId) {
            e$.alert('请添加一个地址！');
            return false
        }

        $.ajax({
            url : getFullUrl('/api/store/store-order/create.do'),
            data : data,
            type : 'POST',
            success : function(res) {
                if (res.result == 1) {
                    if (res.data.payment_type == 'onlinePay') {
                       // msgDialog('订单创建成功啦，快去支付吧！', function() {
                            e$.openWin({
                                name : 'gopay',
                                url : '../pay/gopay.html',
                                reload : true,
                                pageParam : {
                                    ordersn: res.data.sn,
                                    type : 1
                                }
                            });
                      //  });
                    } else {
                        e$.openWin({
                            name : 'gopay',
                            url : '../pay/gopay.html',
                            reload : true,
                            pageParam : {
                                ordersn: res.data.sn,
                                type : 1
                            }
                        });

                    }
                } else {
                    msgDialog(res.message, function() {
                        if (res.message.indexOf('购物车不能为空') > -1) {
                            e$.openWin({
                                name : 'index',
                                url : '../index.html',
                                reload : true
                            });
                        }
                    });
                }
            },
            error : function() {
                e$.alert('出现错误，请重试！');
            }
        });

        function msgDialog(msg, sureFunc) {
            e$.msg({
                title : "温馨提示",
                msg : msg,
                buttons : ["取消", "确定"],
                callback : function(ret, err) {
                    if (ret.buttonIndex == 2) {
                        sureFunc();
                    }
                }
            });
        }
    }