/**
 @Name：Index页Js
 @Author：Sylow
 @version 1.0 2015-08-22
 */

e$(function() {
	//配置Frame组
	var options = {
		name : 'group_index',
		scrollEnabled : false, //是否可左右滚动
		frames : [{
			name : 'home',
			bounces:false,
			scrollToTop: true,
			url : './home/homepage.html'
		}, { 
			name : 'classify',
			bounces:false,
			url : './classify/oneclassification.html'
		}, {
			name : 'cart',
			bounces:false,
			url : './cart/shoppingcart.html',
			pageParam : {
				isRoot : true
			}
		}, {
			name : 'mine',
			bounces:false,
			url : './mine/member.html',
			pageParam:{
				member:true
			}
		}],
		parentDiv : '#main'
	};
	e$.openFrameGroup(options,changeEvent);

	//绑定事件
	$("#home").on('tap', function() {
		changePage(this, 0);
	});
	$("#classify").on('tap', function() {
		changePage(this, 1);
	});
	$("#cart").on('tap', function() {
		changePage(this, 2);
	});
	$("#mine").on('tap', function() {
		changePage(this, 3);
	});
	initPushGeTui();
	//fnGetLocation();
});


// 外部切换页面
function extChangePage(index) {
	if ( index == 0) {
		changePage($("#home")[0], 0);
	} else if (index == 1) {
		changePage($("#classify")[0], 1);
	} else if (index == 2) {
		changePage($("#cart")[0], 2);
	} else if (index == 3) {
		changePage($("#mine")[0], 3);
	}
};

/**
 * 改变页时的回调函数   
 * @param {JSON} 包含 name 当前frame的名称 index 当前frame下标
 */
function changeEvent(ret){
	if (ret.name == "classify") {
		//e$.showFrame("child_classify");
	} 
}

/**
 * 改变页面 
 * @param {Object} obj	单击的对象
 * @param {Object} index 下标
 */
function changePage(obj, index) {

	// 这个实际上要判断是否是分类页的，因为frameGroup获取不到当前是哪个页  所以先这样写
	//e$.hideFrame("child_classify"); 作废
	
	//样式切换
	var $footerBar = $('#footer li');
	$footerBar.each(function() {
		$(this).removeClass("active");
	});
	$(obj).addClass("active");
	var options = {
		name : 'group_index',
		scroll : true,
		index : index
	};
	
	if(index == 2 || index == 3) {
		options = $.extend(options,{reload:true});
		
	}
	//切换frame
	e$.setFrameGroupIndex(options);

}

function initPushGeTui() {
    var uzgetuisdk = api.require('pushGeTui');
    uzgetuisdk.initialize(function(ret) {
        var value = "";
        switch (ret.type) {
            case 'cid':
                value = 'cid:' + ret.cid;
                break;
            case 'payload':
                value = 'payload:' + ret.payload;
                fnParsePayLoad(ret.payload);
                break;
            case 'occurError':
                value = 'occurError';
                break;
        }
        //alert(value);
    });
}

function fnParsePayLoad(payload_) {
    //{"url":"./goods/goods.html","goodsId":"1529"}
    var para = $api.strToJson(payload_);
    api.openWin({
        name: '旺东大菜园',
        url: para.url,
        pageParam: {
            goodsId: para.goodsId
        }
    });
}

    function fnGetLocation()
    {
        var bmap = api.require('bMap');
        bmap.getLocation({
            accuracy: '1000m',
            autoStop: true,
            filter: 1
        }, function(ret, err){
            if(ret.status){
                bmap.getNameFromCoords(ret,function(ret,err){
                    if(ret.status){
                        alert('你现在位于：'+ret.city);
                    }
                });
            }
        });
    }
