e$(function() {
    initBalanceRecharge();

    //通过接口获取余额数据
    function initBalanceRecharge() {
        var url = getFullUrl('/api/mobile/credit/credit-info.do');
        var options = {
            url : url,
            cache : false,
            dataType : 'json',
            success : function(data) {
                if (data.result == 1) {
                    var viewData = data.data;
                    initTpl(viewData, $("#balancerecharge_html_templet"), $("#balancerecharge_html_view"));
                    postEvent();
                } else {
                    e$.alert("系统出现故障 请稍后重试");
                    postEvent();
                }
            },
            error:function(){
            	e$.alert("系统错误");
            	postEvent();
            }
        }
        
         e$.ajax(options);
    };
    
    function postEvent(){
    	var pageParam = e$.getParam();
		if(!pageParam || !pageParam.type){
			return ;
		} 
		setTimeout(function(){
			api.sendEvent({ name: 'closeCreditRechargeWin'});//发起关闭余额充值页面
		},500);
	}
     /**
         *跳转到充值记录页面页面 
         */
        clickRechargerecord();
        function clickRechargerecord() {
            $("#go_to_rechargerecord").click(function() {
                    e$.openWin({
                        name : 'rechargerecord',
                        url : './rechargerecord.html',
                        reload : true,
                       
                    });
             
            });
        }
        
         /**
         *跳转到消费记录页面页面 
         */
        clickExpensesrecord();
        function clickExpensesrecord() {
            $("#go_to_expensesrecord").click(function() {
                    e$.openWin({
                        name : 'expensesrecord',
                        url : './expensesrecord.html',
                        reload : true,
                       
                    });
             
            });
        }
        
         /**
         *跳转到充值信息页面 
         */
        clickRechargeconfirmation();
        function clickRechargeconfirmation() {
            $("#go_to_rechargeconfirmation").click(function() {
                    e$.openWin({
                        name : 'rechargeconfirmation',
                        url : './rechargeconfirmation.html',
                        reload : true,
                       
                    });
             
            });
        }
        
         /**
         *弹出对话框显示余额使用规则
         */
        clickFreeMoneyRule();
        function clickFreeMoneyRule() {
            $("#freemoney-rule").click(function() {
                    alert("余额使用规则：\n\n1.买一件商品送100000元\n2.旺东是慈善企业，买一送百，骗人天打雷劈\n3.旺东是一个不想赚钱的企业，是一个想造福人类的企业，可来旺东白吃白喝");
            });
        }

}); 