/**
 * Created by Administrator on 2017/3/14.
 */
e$(function () {
	//refreshPage();
	initSeckKill();
});
function refreshPage(){
	//刷新页面
	if(window.name != 'hasload'){
		location.reload();
		window.name = 'hasload';
	}else{
		window.name = '';
	}
}

function initSeckKill(){
	var url     = getFullUrl('/api/mobile/goods/sec-kill-list.do');
    var options = {
        url    : url,
        async  : true,
        success: function (data) {
            if (data.result == 1) {
              var viewData = data.data;
              initTpl(viewData, $("#hidden_input_template"), $("#hidden_input_view"));
              initTpl(viewData, $("#seckill_goods_template"), $("#sekill_goods_view"));
              startSeckill();  
            } else {
                e$.alert(data.message);
            }
        }
    };
    e$.ajax(options);	
}

function startSeckill(){
//立即秒杀
	var seckill_click = $(".seckill-btn");
	var t_h=$("#t_h");
    var t_m=$("#t_m");
    var t_s=$("#t_s");
    var sec_tip  = $(".sec_tip");
	var time_tip  = $(".time_tip");
	var tip_info  = $(".tip_info");
	
	var can_seckill = $("#cansec");
	var current_time = $("#curtime");
	var bf_noon_st = $("#bnstime");
	var bf_noon_et = $("#bnztime");
	var af_noon_st = $("#anstime");
	var af_noon_et = $("#anztime");
	
	var  already_start = false , timeleave = 0 , type = 0;
	
	if(current_time){
    	ctime = parseInt(current_time.val());
    	bstime = parseInt(bf_noon_st.val());
    	betime = parseInt(bf_noon_et.val());
    	astime = parseInt(af_noon_st.val());
    	aetime = parseInt(af_noon_et.val());
    }
	setInitialData();
	setTimer();
	
	function setTimer(){
		if(can_seckill.val() == 0 || !ctime){//没有秒杀活动
        	noactivity();
        	return;
        }
		//秒杀未开始  
		if(!already_start){
			notyetSeckill();
		}else
		//秒杀中
		if(already_start){
			inSeckill();
		}
		seckillTime();
	}
	
	function seckillTime(){
		var timer = setInterval(times,1000);
		
		function times(){
            if(already_start&&type==0&&timeleave<=0){	//上午秒杀活动结束，加载下午的秒杀活动
            	clearInterval(timer);
            	location.href = "";
            	return;
            }
            
            if(already_start&&type==1&&timeleave<=0){//下午秒杀活动结束，则结束
            	clearInterval(timer);
            	stopSeckill();
            	return;
            }
            if(!already_start&&timeleave<=0){//秒杀开始
            	already_start = true;
            	timeleave = type==0?(betime-bstime):(aetime-astime);
            }
            
          	//秒杀未开始  
			if(already_start){
				inSeckill();
			}
            showTime(timeleave);
            timeleave--;
        }
        
        function showTime(t){
        	 var d=0;
             var h=0;
             var m=0;
             var s=0;
             d=Math.floor(t/60/60/24);
             h=Math.floor(t/60/60%24);
             m=Math.floor(t/60%60);
             s=Math.floor(t%60);
             h=parseInt(d*24+h);

             h<10?h="0"+h:h;
             m<10?m="0"+m:m;
             s<10?s="0"+s:s;
            
             t_h.html(h);
             t_m.html(m);
             t_s.html(s);
        }
        
            
	}
	function setInitialData(){
		if(!ctime) return;
		
		if(ctime < bstime){
			already_start = false;
			timeleave = bstime - ctime;
			type = 0; 
			return ;
		}
		if(ctime >= bstime && ctime < betime){
			already_start = true;
			timeleave = betime - ctime;
			type = 0; 
			return ;
		}
		if(ctime < astime){
			already_start = false;
			timeleave = astime - ctime;
			type = 1; 
			return ;
		}
		if(ctime >= astime){
			already_start = true;
			timeleave = aetime - ctime;
			type = 1; 
			return ;
		}
	}
	
	
	function noactivity(){
		sec_tip.hide();
		time_tip.hide();
	}
	function stopSeckill(){
		sec_tip.show();
		time_tip.hide();		
		sec_tip.html("已结束");
		stopSeckillBtns();
	}
	function notyetSeckill(){
		sec_tip.show();
		time_tip.show();
		sec_tip.html("未开始...")
		tip_info.html("距离开始时间");
		disableSeckillBtns();
	}
	function inSeckill(){
		sec_tip.show();
		time_tip.show();
		sec_tip.html("秒杀中...")
		tip_info.html("距离结束时间");
		enableSeckillBtns();
	}
	
	function enableSeckillBtns(){
		seckill_click.each(function(){
			$(this).html("立即秒杀");
			if($(this).hasClass("disable_btn")){
				$(this).removeClass("disable_btn");
			}
			$(this).unbind('tap').bind('tap',function(){
				var goodsid = $(this).attr("goodsid");
				var act_id = $(this).attr("activity_id");
				
				var options = {
	                name : 'goods',
	                url  : './seckillsecond.html',
	                reload : true,
	                pageParam : {
	                    goodsid : goodsid,
	                    act_id  : act_id
	                }
	            };
	            e$.openWin(options);
	            return false
			});
		})	
	}
	
	function disableSeckillBtns(){
		seckill_click.each(function(){
			$(this).html("即将开始");
			if(!$(this).hasClass("disable_btn")){
				$(this).addClass("disable_btn");
			}
			$(this).unbind('tap').bind('tap',function(){
				return !1;
			});
		})
	}
	
	function stopSeckillBtns(){
		seckill_click.each(function(){
			$(this).html("已经结束");
			if(!$(this).hasClass("disable_btn")){
				$(this).addClass("disable_btn");
			}
			$(this).unbind('tap').bind('tap',function(){
				return !1;
			});
		})
	}
}

