/**
 @Name：商家列表
 @Author：wanghongjun
 @version 1.0 2015-08-31
 */

e$(function() {

    var param = e$.getParam();
    
    initStore();
    /**
     *初始化店铺页面
     */
    function initStore() {
        var url = getFullUrl('/api/mobile/store/store-goods-list.do');
        var options = {
            url : url,
            cache : false,
            type : "POST",
            data : param,
            dataType : 'json',
            success : function(data) {
                if (data.result == 1) {
                    var viewData = data.data;
                    initTpl(viewData, $("#storebanner_html_templet"), $("#storebanner_html_view"));
                    initTpl(viewData, $("#goodslist_html_templet"), $("#goodslist_html_view"));
                    initStoreData();
                } else {
                    e$.alert("系统出现故障 请稍后重试");
                }
            }
        };
        e$.ajax(options);
    };
    function initStoreData() {

        initData();
        function initData(){
            var key = param.key;
            if(key){
                $('input[name="key"]').val(key);
            }else{
                key = 1;
            }
            
            var order = param.order;
            if(order){
                $('input[name="order"]').val(order);
            }
            
            $(".ncs_array li").removeClass("selected");
            $(".ncs_array li[rel='"+key+"']").addClass("selected");
        }
                      
        /**
         * 点击店铺的商品跳转到商品详情页
         */
        clickStoreGoods();
        function clickStoreGoods(){
             $(".store_goto_goods").each(function() {
                $(this).click(function() {
                    var goods_id = $(this).attr("goods_id");
                    var param = {
                        goods_id : goods_id
                    };
                    e$.openWin({
                        name : 'goods',
                        url : '../goods/goods.html',
                        reload : true,
                        pageParam : param
                    });
                });
            });
            
            $(".pagination .page .unselected").each(function() {
                $(this).click(function() {
                    var store_id = $(this).attr("store_id");
                    var page = $(this).attr("page");
                    var param = {
                        show_c : 4,
                        store_id : store_id,
                        page : page
                    };
                    e$.openWin({
                        name : 'store_goodlist',
                        url : './store_goodlist.html',
                        reload : true,
                        pageParam : param
                    });
                });
            });
            
            $(".ncs_array li").each(function() {
                $(this).click(function() {
                    var key = $(this).attr('rel');
                    var order = $('input[name="order"]').val();
                    if ($('input[name="key"]').val() == key) {
                        if (order == 'asc') {
                            $('input[name="order"]').val('desc');
                            order = 'desc';
                        } else {
                            $('input[name="order"]').val('asc');
                            order = 'asc';
                        }
                    } else {
                        $('input[name="order"]').val('desc');
                        order = 'desc';
                    }
                    $('input[name="key"]').val(key);
                    
                    var param_ = {
                        show_c : 4,
                        store_id : param.store_id,
                        key : key,
                        order : order
                    };
            
                    e$.openWin({
                        name : 'store_goodlist',
                        url : './store_goodlist.html',
                        reload : true,
                        pageParam : param_
                    });
                });
            });
        }
        var addCartUrl=getFullUrl("/api/shop/cart/add-goods.do");
        $(".addcart").each(function(index,obj){
        	$(obj).on("click",function(){
        		var goodsId=$(obj).attr("goodsId");
        			var options = {
			            url : addCartUrl,
			            type : "POST",
			            data : {
			            	goodsid:goodsId,
       						num: 1
			            },
			            dataType : 'json',
			            success : function(data) {
			                if (data.result == 1) {
			                	e$.toast("添加成功", 2000, 'middle');
			                } else {
			                    e$.toast(data.message, 2000, 'middle');
			                }
			            },
			            error:function(){
			            	e$.toast("出错请稍后再试", 2000, 'middle');
			            }
			        };
			        e$.ajax(options);
       
        	})
        })
        
        
        

    };

});

