/**
 * Created by Andste on 2016/11/22.
 */
e$(function () {

    var bonusItem;
    init();
    function init() {
       	loadPage();     
    }
    function loadPage(){
    	//可用优惠券
    	initialBonusTab(1,$('#bonus_template'),$('#usable_bonus_view'),$('.usable_bonus_num'));
    	  	
    	//不可用优惠券
    	initialBonusTab(0,$('#bonus_template'),$('#unusable_bonus_view'),$('.unusable_bonus_num'));
    
    }
    function initialBonusTab(is_usable,template,view,totalspan){
    	var url = getFullUrl('/api/mobile/order/check-bonus.do');
		$.ajax({
            url : url,
            data: {
                is_usable : is_usable
            },
            type: 'POST',
            success: function (res) {
                if(res.result == 1){
                	var viewData = res.data;
                	initTpl(viewData, template, view);
                	totalspan.html(viewData.totalNum?viewData.totalNum:0);         	
                    //可用优惠券div绑定事件
                    if(is_usable == 1){
                         bindEvents();
                    }
                }else{
                	e$.alert(res.message);
                }
            },
            error: function () {
                e$.alert('出现错误，请重试！');
            }
        })
    }
    function bindEvents() {
        //  tab切换
        var items = $('.content-bonus').find('.items');
        $('.nav-checkout-bonus').on('click', '.item', function () {
            var $this = $(this),
                index = $this.index();
            $this.addClass('selected')
                 .siblings().removeClass('selected');
            items.removeClass('show')
                 .eq(index).addClass('show');
        })
        
         //  优惠券使用
        $('.can-use-bonus').on('click', '.bonus-item', function () {
                bonusItem  = $(this);
            var store_id   = bonusItem.attr('store_id'),
                bonus_id   = bonusItem.attr('bonus_id'),
                is_checked = bonusItem.is('.checked'),
                is_cantUse = bonusItem.is('.unavailable');
            if(is_cantUse){return false}
            useBonus(store_id, bonus_id, is_checked,bonusItem);

            return false;
        })
        
       //检查是否有已使用优惠券，禁用其它。
		checkHasUsed();	
        
    }   

    //  优惠券使用
    function useBonus(store_id, bonus_id, is_checked,bonusItem) {
        if(is_checked){bonus_id = 0}
        var url = getFullUrl('/api/b2b2c/bonus/use-bonus.do');
        $.ajax({
            url : url,
            data: {
                store_id : store_id,
                bonus_id : bonus_id
            },
            type: 'POST',
            success: function (res) {
                if(res.result == 1){
                    is_checked ? (function () {
                            bonusItem.removeClass('checked');
                            bonusItem.siblings().removeClass('unavailable');
                        })() : (function () {
                            bonusItem.addClass('checked');
                            bonusItem.siblings().addClass('unavailable');
                        })();
                        
                    e$.execScript({
                        name:'fillorder',
                        script:'init();'
                    });
                }else {
                    e$.alert(res.message);
                }
            },
            error: function () {
                e$.alert('出现错误，请重试！');
            }
        })
    }

    //  检查是否有已使用优惠券，禁用其它。
    function checkHasUsed() {
        var stores = $('.store-item');
        for(var i = 0; i < stores.length; i ++){
            var _store = stores.eq(i);
            _store.find('.checked').length == 1 ? _store.find('.checked').siblings().addClass('unavailable') : null;
        }
    }
});