/*add by DJBO 2017-4-26*/
e$(function() {
	initialShoppingCart();	
});
function initialShoppingCart(){
	_ajax_({
		url			:	"/api/mobile/cart/list.do",
		dataType 	: 	"json",
		success		:	function(data){
			if (data.result == 1) {
              var viewData = data.data;
              initTpl(viewData, $("#cart_item_template"), $("#cart_item_view"));
              bindEvents();
              
              var pageParam = e$.getParam();
              if(pageParam && pageParam.preLogin){
                setTimeout(function(){
                     api.sendEvent({ name: 'closeLandWin'}); 
                },500);                      
              }
            } else {
                e$.alert(data.message);
            }
		},
		error		:   function(){
			e$.alert("抱歉，系统出错");
		}
	},true);
}
function bindEvents() {
	//  初始加载全选
	doCheckAll(true);

	//  加载商品总价
	//loadTotalPage();

	//  店铺商品选择
	storeCheck();

	//  商品选择
	goodsCheck();

	//  全选商品
	checkAll();

	//  商品数量更新
	goodsNumUpdate();

	//  滑动删除
	deleteGoods();

	//  去结算
	goBill();
	
	//其他绑定事件
	other();
}
//其他绑定事件
function other(){
	$('.get-bonus').click(function(){
		e$.openWin({
			name: 'ticketcenter', 
			url: '../home/ticketcenter.html',
			pageParam:{
				store_id:$(this).attr('store_id')
			}
		});
	});
}
//  去结算
function goBill() {
	$('.settle-accounts-btn').on('tap', function() {
		//  判断是否有失效商品
		if ($('.shopping-product-overbox').length < 1) {
			e$.msg({
				title:"温馨提示",
				msg:"购物车内没有商品哦，先去逛逛吧！",
				buttons : ["取消","确定"],
				callback : function(ret, err) {
					if (ret.buttonIndex == 2) {
						back();
					}
				}
			});
			return false
		};

		if ($('.checkbox-goods.checked').length < 1) {
			e$.alert('您没有勾选商品哦！');
			return false
		}
		
		_ajax_({
			url			:	"/api/store/store-cart/invalid-goods.do",
			dataType 	: 	"json",
			success		:	function(data){
				if (data.result == 1) {
	              	e$.msg({
						title:"温馨提示",
						msg:"商品已售罄或已下架，即将刷新购物车！",
						buttons : ["取消","确定"],
						callback : function(ret, err) {
							if (ret.buttonIndex == 2) {
								window.location.reload();
							}
						}
					});
					return false
	            } else {
	            	isLogin(function(){
			            e$.openWin({name: 'fillorder', url: './fillorder.html'});
			        },{
			            back:{
			                name : 'cart',
                            url : '../cart/shoppingcart.html',
                            reload : true
			            }
			        });
	            }
			},
			error		:   function(){
				e$.alert("抱歉，系统出错");
			}
		},false);
		return false
	});
}

//  点击删除
function deleteGoods() {
	var goodsItems = $('.goods-item');

	$('.del_attention').on('tap', function(e) {
		e.stopPropagation();
		var $this = $(this), data_id = $this.attr('data-id');
		e$.msg({
			title:"温馨提示",
			msg:"确定要移除该商品吗？",
			buttons : ["取消","确定"],
			callback : function(ret, err) {
				if (ret.buttonIndex == 2) {
					_ajaxDeleteGoods(data_id, $this);					
				}
			}
		});
		return false;
	})
}

//  移除一个商品
function _ajaxDeleteGoods(data_id, $this) {
	_ajax_({
		url			:	"/api/store/store-cart/delete.do",
		data 		: 	{cartid : data_id},
		type        :    "POST",
		timeoutTimer : 800,
		dataType 	: 	"json",
		success		:	function(data){
			if (data.result == 1) {
			     e$.execScript({
                    name  : "goods",
                    script: "getcartnum();"
                });
              	window.location.reload();
            } else {
                e$.alert(data.message);
            }
		},
		error		:   function(){
			e$.alert("抱歉，系统出错");
		}
	},false);
}

//  商品数量更新
function goodsNumUpdate() {
	var input;
	$('.shopping-product').on('tap', '.goods-symbol', function() {
		var $this = $(this), _disabled = $this.is('.disabled'), _isAdd = $this.is('.add');
		if (_disabled) {
			return false
		}
		input = $this.siblings('.amount');
		var _val = parseInt(input.text());
		_val = _isAdd ? _val + 1 : _val - 1;

		_ajaxUpdateNum(_val, $this)
		return false
	})
	function _ajaxUpdateNum(_val, type, $this) {
		_ajax_({
			url			:	"/api/store/store-cart/update-num.do",
			data 		: 	{
			  	type     : Math.random(),
                cartid   : input.attr('cart-id'),
                productid: input.attr('product-id'),
                num      : _val
	        },
	        type         : 'POST',
			timeoutTimer : 8000,
			success		:	function(data){
				if (data.result == 1 && _val <= data.data.store) {
				    e$.execScript({
                        name  : "goods",
                        script: "getcartnum();"
                    });
					_val < 2 ? _updateLessSymbol(true) : _updateLessSymbol(false);
					_updateInputNum(_val)
				} else {
					if (!data.message || data.message == '') {
						e$.alert('抱歉，超出库存！');
					} else {
						e$.alert(data.message);
					}
				}
			},
			error		:   function(){
				e$.alert("抱歉，系统出错");
			}
		},true);
	}

	//  更新input框内数字
	function _updateInputNum(num) {
		if (input) {
			input.text(num)
		}
		loadTotalPage();
	}

	//  更新减号禁用状态
	function _updateLessSymbol(bool) {
		var sysmbolLess = input.siblings('.subtract')
		bool ? sysmbolLess.addClass('disabled') : sysmbolLess.removeClass('disabled');
	}

}

//全选商品
function checkAll() {
	$(document).on('tap', '#goods-check-all', function() {
		if($('.shop-lists').length == 0){
			return false;
		}
		var $this = $(this), _checked = $this.is('.checked');
		doCheckAll(!_checked);
		return false
	})
}

//商品选择
function goodsCheck() {
	$('.checkbox-goods').on('tap', function() {
		var $this = $(this), _checked = $this.is('.checked'), data_id = $this.attr('data-id'), product_id = $this.attr('product-id'), exchange = $this.attr('exchange') == 1;
		_checked ? $this.removeClass('checked') : $this.addClass('checked');
		if ($('.goods-store-' + data_id).length == $('.goods-store-' + data_id + '.checked').length) {
			$('#store-' + data_id).addClass('checked');
			if ($('.shopAllSel').length == $('.shopAllSel.checked').length) {
				$('#goods-check-all').addClass('checked');
			}
		} else {
			$('#store-' + data_id).removeClass('checked');
			$('#goods-check-all').removeClass('checked');
		}
		_ajaxCheckdGoods(!_checked, product_id, exchange, $this);
		return false
	})
}

// 商品单个选择ajax
function _ajaxCheckdGoods(checked, product_id, exchange, $this) {
	_ajax_({
		url	:	"/api/store/store-cart/check-product.do",
		data : {
			checked : checked,
			product_id : product_id,
			exchange : exchange
		},
		type         : 'POST',
		timeoutTimer : 8000,
		success		:	function(data){
			if (data.result == 1 ) {
				loadTotalPage();
			}else{
				e$.alert(data.message);
			}
		},
		error		:   function(){
			e$.alert("抱歉，系统出错");
		}
	},true);
}

//店铺商品选择
function storeCheck() {
	$('.shopAllSel').on('tap', function() {
		var $this = $(this), _checked = $this.is('.checked'), data_id = $this.attr('data-id');
		var goodsCheckBoxs = $('.goods-store-' + data_id);
		_checked ? goodsCheckBoxs.removeClass('checked') : goodsCheckBoxs.addClass('checked');
		_checked ? $this.removeClass('checked') : $this.addClass('checked');
		$('.shopAllSel').length == $('.shopAllSel.checked').length ? $('#goods-check-all').addClass('checked') : $('#goods-check-all').removeClass('checked');
		_ajaxCheckStoreAll(!_checked, data_id, $this);
		return false
	})
}

//全选操作
function doCheckAll(_checked) {
	var stores = $('.checkbox-store');
	for (var i = 0; i < stores.length; i++) {
		var store_id = stores.eq(i).attr('data-id');
		var $this = stores.eq(i);
		_ajaxCheckStoreAll(_checked, store_id, $this);
	}
	_checked ? $('.inputSty').addClass('checked') : $('.inputSty').removeClass('checked');
}

//  店铺商品选择ajax
function _ajaxCheckStoreAll(checked, store_id, $this) {
	_ajax_({
		url	:	"/api/store/store-cart/check-store-all.do",
		data : {
			checked : checked,
			store_id : store_id
		},
		type         : 'POST',
		timeoutTimer : 8000,
		success		:	function(data){
			if (data.result == 1 ) {
				loadTotalPage();
			}else{
				e$.alert(data.message);
			}
		},
		error		:   function(){
			e$.alert("抱歉，系统出错");
		}
	},true);
}

//刷新总价
function loadTotalPage() {
    var url = "/api/mobile/cart/total.do";

	_ajax_({
		url	:	url,
		type : 'GET',
		cache: false,
		success	:function(data){
			if (data.result == 1 ) {
				var orderPrice = data.data;
				if(orderPrice){
					var priceHtml = orderPrice.orderPrice?orderPrice.orderPrice:'0.00';
					if(orderPrice.exchange_point && parseFloat(orderPrice.exchange_point) != 0){
						priceHtml += '+' + orderPrice.exchange_point + '分';
					}
					$('.settle-accounts-price').html(priceHtml);
					
					var $freeShips = $(".shop-explain1");
					for (var i = 0; i < $freeShips.length; i++) {
						isFreeShip($freeShips.eq(i));
					}
				}
			}else{
				e$.alert(data.message);
			}
		},
		error :function(){
			e$.alert("抱歉，系统出错");			
		}
	},true);
}

//判断还缺多少钱可以免邮，使用ajax局部刷新
function isFreeShip(self) {
	var $this = $(self);
	var $store = $this.parents(".shop-lists");
	var $goods = $store.find(".shopping-product-overbox");
	var totalPrice = 0;
	for (var i = 0; i < $goods.length; i++) {
		var $good = $goods.eq(i);
		var isChecked = $good.find(".checkbox-goods").hasClass("checked");
		if (!isChecked) {//不是选中的不计算总价
			continue;
		}
		var price = $good.find(".unitPrice").text() * 1;
		var num = $good.find(".amount").text() * 1;
		totalPrice = totalPrice + (price * num);
	}
	var $shop_explain =  $store.find(".shop-explain1");
	var fullMoney = $shop_explain.data("fullmoney") * 1;
	if(totalPrice < fullMoney){
		$shop_explain.find('span.balance-money1').html((fullMoney-totalPrice).toFixed(2));
		$shop_explain.find('div.message1').show();
		$shop_explain.find('div.message-free1').hide();
	}else{
		$shop_explain.find('div.message1').hide();
		$shop_explain.find('div.message-free1').show();
	}	
}

function _ajax_(options,isLoading){
	isLoading && e$.loading();
	var url = getFullUrl(options.url);
	var successfun = options.success;
	var errorfun = options.error;
		options.url		 =	url;
		options.success	 = 	function(data){successfun(data);isLoading && e$.closeLoad();}
		options.error 	 = 	function(){errorfun();isLoading && e$.closeLoad();}
		options.dataType =  options.dataType ? options.dataType  : 	"json";
	e$.ajax(options); 
}

