/**
 @Name：商品Js
 @Author：xgr
 @version 1.0 2017-06-06
 */

e$(function() {

	var param = e$.getParam();
	initGoods(param.goods_id);
	/**
	 *初始化商品详情信息
	 */
	function initGoods(goods_id) {
		var url = getFullUrl('/api/mobile/goods/detail.do?goodsid=' + goods_id);

		var options = {
			url : url,
			cache : false,
			dataType : 'json',
			success : function(data) {
				if (data.result == 1) {
					var viewData = data.data;
					initTpl(viewData, $("#inputGoodsInfo_html_templet"), $("#inputGoodsInfo_html_view"));
					initTpl(viewData, $("#goods_html_templet"), $("#goods_html_view"));
					initTpl(viewData, $("#exchange_html_templet"), $("#exchange_html_view"));
					initTpl(viewData, $("#promotional_html_templet"), $("#promotional_html_view"));
					initTpl(viewData, $("#coupon_html_templet"), $("#coupon_html_view"));
					initTpl(viewData, $("#checkGoods_html_templet"), $("#checkGoods_html_view"));
					initTpl(viewData, $("#deliveryAddress_html_templet"), $("#deliveryAddress_html_view"));
					initTpl(viewData, $("#iscount_html_templet"), $("#iscount_html_view"));
					initTpl(viewData, $("#details-evaluation-specification_html_templet"), $("#details-evaluation-specification_html_view"));
					initTpl(viewData, $("#content-description_html_templet"), $("#content-description_html_view"));
					initTpl(viewData, $("#justify-around_html_templet"), $("#justify-around_html_view"));
					initTpl(viewData, $("#selectCoupon_html_templet"), $("#selectCoupon_html_view"));
					initTpl(viewData, $("#masked-product_html_templet"), $("#masked-product_html_view"));
					initTpl(viewData, $("#masked-promotion_html_templet"), $("#masked-promotion_html_view"));
					initTpl(viewData, $("#sel-adress_html_templet"), $("#sel-adress_html_view"));
					initTpl(viewData, $("#selAdress_html_templet"), $("#selAdress_html_view"));

					initAllGoodsData();

					var pageParam = e$.getParam();
					if (pageParam && pageParam.preLogin) {
						setTimeout(function() {
							api.sendEvent({
								name : 'closeLandWin'
							});
						}, 500);
					}
				} else {
					e$.alert("系统繁忙 请稍后重试");
				}
			}
		};
		e$.ajax(options);
	};

	function initAllGoodsData() {

		//商品数量改变弹框，商品数量的增加和减少
		var checkSpans = document.querySelector(".style-check").querySelectorAll("span");
		for (var i = 0; i < checkSpans.length; i++) {
			checkSpans[i].onclick = function(num) {
				return function() {
					for (var j = 0; j < checkSpans.length; j++) {
						checkSpans[j].className = "";
					}
					checkSpans[num].className = "checked";
				}
			}(i);
		}

		// 选择地址
		var selAdress = document.querySelector(".sel-adress");
		var closedSelAdress = document.querySelector(".closed-sel-adress");
		var choiceAdress = document.querySelector(".choice-adress");
		var selAdressLists = document.querySelectorAll("#sel-adress-lists li");
		var adressContainer = document.querySelector("#adress-container");
		choiceAdress.onclick = function() {
			removeC(selAdress, "display-n");
		};
		closedSelAdress.onclick = function() {
			addC(selAdress, "display-n");
		};
		var lastRed = 0;
		for (var i = 0; i < selAdressLists.length; i++) {
			selAdressLists[i].onclick = function(num) {
				return function() {
					//console.log(selAdressLists[num].children[0].children[1].innerHTML);
					var selAdressinner = selAdressLists[num].children[0].children[1].innerHTML;
					//alert(selAdressinner);
					addC(selAdress, "display-n");
					removeC(selAdressLists[lastRed], "colorr");
					selAdressLists[num].setAttribute("class", "colorr");
					lastRed = num;
					adressContainer.innerHTML = selAdressinner;
					var addressStr = $("#address_" + num).val();
					var strs = new Array();
					strs = addressStr.split(",");
					//alert(addressStr);
					for ( i = 0; i < strs.length; i++) {
						if (strs[i] > 0) {
							if ( i = 0)
								$("#cityid").val(strs[i]);
							if ( i = 1)
								$("#regionid").val(strs[i]);
							if ( i = 2)
								$("#streetid").val(strs[i]);
							if ( i = 3)
								$("#communityid").val(strs[i]);
							//alert($("#communityid").val());
						} else {
							if ( i = 0)
								$("#cityid").val("");
							if ( i = 1)
								$("#regionid").val("");
							if ( i = 2)
								$("#streetid").val("");
							if ( i = 3)
								$("#communityid").val("");
							//alert($("#communityid").val());
						}
					}
                    postAddress();      //根据配送地区判断选择地区有货无货  add 20170710
				}
			}(i)
		}

		var minusSign = document.querySelector(".minus-sign");
		var addSign = document.querySelector(".add-sign");
		var quantity = document.querySelector(".quantity");
		var maskedProductBtn = document.querySelector(".masked-product-btn");
		var choiceProduct = document.querySelector(".choice-product");
		var maskedProduct = document.querySelector(".masked-product");
		var typeOfPurchase = document.querySelector(".type-of-purchase");
		var purchaseQuantity = document.querySelector(".purchase-quantity");
		var sum = 1;
		//    数量减
		minusSign.onclick = function() {
			sum = parseInt(quantity.value);
			--sum <= 1 ? sum = 1 : sum;
			quantity.value = sum;
		}
		// 数量加
		addSign.onclick = function() {
			sum = parseInt(quantity.value);
			sum++;
			quantity.value = sum;
		}
		// 点击打开蒙版层选择购买类型跟数量
		choiceProduct.onclick = function() {
			addC(maskedProduct, "display-b animated bounceInDown");
		}
		// 键盘弹起获取输入框的值
		quantity.onkeyup = function() {
			sum = quantity.value;
		}
		// 点击关闭
		maskedProductBtn.onclick = function() {
			//选好规格默认添加购物车
			addToCart();
			removeC(maskedProduct, "display-b");
			var checked = document.querySelector(".checked");
			var have_spec = document.querySelector("#havespec");
			if (have_spec != null) {
				typeOfPurchase.innerHTML = checked.innerHTML;
			}
			sum == "" ? quantity.value = sum = 1 : sum;
			purchaseQuantity.innerHTML = parseInt(sum);

		}
		//积分购事件处理
		//积分购
		$(".integralInput").on("click", function() {
			$(this).toggleClass("integralCurrent");

			var checkState = $(this).hasClass("integralCurrent");
			//var storeObj=$(".goods-figure-input").find("strong[nctype='goods_stock']");
			if (checkState) {
				//被选中
				$("#exchange").val("true");
				/*normal_enable_store = storeObj.text();
				 //获取积分商品库存
				 $.ajax({
				 url:"${ctx}/api/shop/exchange/get-exchange-store.do",
				 dataType:"json",
				 type:"POST",
				 data:{"goods_id":goodsid},
				 success:function(result){
				 if(result.result==1){
				 storeObj.text(result.data.exchange_max_count);
				 }
				 }
				 });*/
			} else {
				$("#exchange").val("false");
				//获取非积分商品库存
				//storeObj.text(normal_enable_store);
			}
		});

		// 详情、评价、规格 tab栏
		var detailsLists = document.querySelector(".details-evaluation-specification").getElementsByTagName("li");
		var detailscontent = document.querySelector(".content-description").children;
		for (var a = 0; a < detailsLists.length; a++) {
			detailsLists[a].onclick = function(num) {
				return function() {
					for (var b = 0; b < detailsLists.length; b++) {
						removeC(detailsLists[b], "highlighted");
						removeC(detailscontent[b], "display-b");

					}
					addC(detailsLists[num], "highlighted");
					addC(detailscontent[num], "display-b");
				}
			}(a)
		}

		//商品详情页底部栏tab点击事件处理
		$(".in_cart").click(function() {
			$(".masked-product").addClass("display-b animated bounceInDown");
		});

		//进入购物车页面
		$('.go-cart').click(function() {
//			e$.openWin({
//				name : 'cart',
//				url : '../cart/shoppingcart.html',
//				reload : true
//			});
			var options = {
				title : "旺东商城提醒您",
				msg : "点击确定会跳转去购物车",
				buttons : ["取消","确定"],
				callback : function(ret, err) {
					if (ret.buttonIndex == 2) {
						e$.openWin({
							name : 'cart',
							url : '../cart/shoppingcart.html',
							reload : true
						});			
					}else{
						return;
					}
				}
			};
			e$.msg(options);
		});

		//收藏
		var collection = document.querySelector("#collection");

		collection.onclick = function() {
			var daraSrc = this.children[0].getAttribute("data-src");
			var $this = this;
			if (daraSrc == "no") {
				var collect = $("#goods_id").val();
				var url = getFullUrl('/api/mobile/goods/add-collect.do');
				//   1. /api/shop/collect/add-collect.do
				//   2. /api/mobile/goods/add-collect.do
				$.ajax({
					url : url,
					dataType : "json",
					type : 'POST',
					data : {
						goods_id : collect
					},
					success : function(result) {
						if (result.result == 1) {
							alert("收藏成功");
							$("#favoriteId").val(result.message);
							$this.children[0].setAttribute("src", "../images/guanzhu.png");
							$this.children[0].setAttribute("data-src", "yes");
						} else {
							alert(result.message);
						}
					},
					error : function(e) {
						alert("抱歉，收藏出现意外错误");
					}
				});

			} else {
				var url = getFullUrl('/api/shop/collect/cancel-collect.do');
				var favorite_id = $("#favoriteId").val();
				$.ajax({
					url : url,
					dataType : "json",
					type : 'post',
					data : {
						favorite_id : favorite_id
					},
					success : function(result) {
						if (result.result == 1) {
							alert("取消成功");
							$this.children[0].setAttribute("src", "../images/not-concerned.png");
							$this.children[0].setAttribute("data-src", "no");
						} else {
							alert(result.message);
						}
					},
					error : function() {
						alert("抱歉，取消收藏出现意外错误");
					}
				});
			}
		}
		getcartnum();

		// 领取优惠券
		//    var ticketReceive = document.querySelectorAll(".ticketReceive");
		var gouse = document.querySelectorAll(".gouse");
		var selectCoupon = document.querySelector(".select-coupon");
		var openCoupon = document.querySelector(".open-coupon");
		//    for (var i = 0; i < ticketReceive.length; i++) {
		//        ticketReceive[i].onclick = function(num) {
		//            return function() {
		//              if(receiveBuons()==false){
		//                  return false;
		//              }
		//              this.style.display = "none";
		//              this.parentNode.parentNode.querySelector(".nonactivated").style.display = "none";
		//              this.parentNode.parentNode.querySelector(".alreadyReceive").style.display = "block";
		//            }
		//        }(i);
		//    }
		for (var c = 0; c < gouse.length; c++) {
			gouse[c].onclick = function() {
				removeC(selectCoupon, "display-b");
			}
		}

		if (openCoupon != null) {
			openCoupon.onclick = function() {
				addC(selectCoupon, "display-b animated bounceInDown");
			}
		}

		var promotionalSalesOpen = document.querySelector(".promotional-sales-open");
		var maskedPromotion = document.querySelector(".masked-promotion");
		var promotionClosed = document.querySelector(".promotion-closed");
		if (promotionalSalesOpen != null) {
			promotionalSalesOpen.onclick = function() {
				addC(maskedPromotion, "display-b animated bounceInDown");
			}
		}

		promotionClosed.onclick = function() {
			removeC(maskedPromotion, "display-b");
		}
		var closedSelectCoupon = document.querySelector(".closed-select-coupon");
		var closedMaskedProduct = document.querySelector(".closed-masked-product");
		closedSelectCoupon.onclick = function() {
			removeC(selectCoupon, "display-b");
		}
		closedMaskedProduct.onclick = function() {
			removeC(maskedProduct, "display-b");
		}
		//  领取优惠券
		receiveBuons();
		function receiveBuons() {
			var bonus_id;
			var store_id;
			var $ticketReceive;

			$('#ticket-lists').on('tap', '.ticketReceive', function() {
				$ticketReceive = $(this);
				bonus_id = $ticketReceive.attr('data-id');
				store_id = $("#store_id").val();

				_ajax($(this));
			})
			function _ajax(obj) {
				var $ticketReceive = obj;
				var url = getFullUrl('/api/b2b2c/bonus/receive-bonus.do');
				var data = {
					store_id : store_id,
					type_id : bonus_id
				}
				$.ajax({
					url : url,
					data : data,
					dataType : 'json',
					Type : 'POST',
					success : function(res) {

						if (res.result == 1) {
							e$.alert(res.message);
							$ticketReceive.css("display", "none");
							$ticketReceive.parent().parent().find(".nonactivated").css("display", "none");
							$ticketReceive.next().css("display", "block");
						} else {
							
							isLogin(function() {
								e$.alert(res.message);
							}, {
								back : {
									name : 'goods',
									url : '../goods/goods.html',
									reload : true,
									pageParam : {
										preLogin : 1,
										goods_id : param.goods_id
									}
								}
							});
							
						}

					},
					error : function() {
						e$.alert("系统繁忙 请稍后重试");
						return false;
					}
				})
			}

		}

		var check = $("#check");

		if (check.val() == 1) {
			$(".integralInput").trigger("click");
		}

		seladress();

		/**
		 *点击购物车跳转到购物车页面
		 */
		clickCart();
		function clickCart() {
			$(".go_to_cart").click(function() {
				e$.openWin({
					name : 'cart',
					url : '../cart/shoppingcart.html',
					reload : true,

				});

			});
		}

		/**
		 *点击进店铺跳转到商家商品页面
		 */
		clickStore();
		function clickStore() {
			$("#go_to_store").click(function() {

				var store_id = $(this).attr("store_id");
				var show_c = $(this).attr("show_c");
				var param = {
					show_c : show_c,
					store_id : store_id
				};
				e$.openWin({
					name : 'store_goodlist',
					url : '../store/store_goodlist.html',
					reload : true,
					pageParam : param
				});

			});
		}

	};

	//添加购物车
	function addToCart() {
		var spec = $("#havespec").val();
		var prodSum = $(".quantity").val();
		var prodId = $("#productid").val();
		var storId = $("#store_id").val();
		var goodId = $("#goods_id").val();
		// var ctx = $("#ctx").val();

		var province_id = $("#provinceid").val();
		var city_id = $("#cityid").val();
		var region_id = $("#regionid").val();
		var town_id = $("#streetid").val();
		var community_id = $("#communityid").val();
		var exchange = $("#exchange").val() ? $("#exchange").val() : "";

		if (spec == 1) {
			var url = getFullUrl('/api/store/store-cart/add-product.do');
			$.ajax({
				url : url,
				dataType : "json",
				type : "POST",
				data : {
					goodsid : goodId,
					store_id : storId,
					num : prodSum,
					productid : prodId,
					havespec : 1,
					province_id : province_id,
					city_id : city_id,
					region_id : region_id,
					town_id : town_id,
					community_id : community_id,
					exchange : exchange
				},
				success : function(data) {
					if (data.result == 1) {
						//关闭遮罩
						e$.alert("加入购物车成功");
						var url = getFullUrl('/api/shop/cart/get-cart-data.do');
						$.ajax({
							url : url,
							dataType : "json",
							type : "POST",
							success : function(result) {
								if (result.result == 1) {
									var goodscartnum = result.data.count;
									if (goodscartnum == 0) {
										$(".cartProNum").hide();
									} else {
										$(".cartProNum").show();
										$(".cartProNum").empty();
										$(".cartProNum").text(goodscartnum);
									}

								} else {
									//关闭遮罩
									alert(result.message);
								}
							},
							error : function() {
								//关闭遮罩
								alert("抱歉，收藏出现意外错误");
							}
						});
					} else {

						//关闭遮罩
						alert(data.message)
					}
				}
			})
		} else {
			var url = getFullUrl('/api/store/store-cart/add-goods.do');
			var data = {
				goodsid : goodId,
				store_id : storId,
				num : prodSum,
				productid : prodId,
				province_id : province_id,
				city_id : city_id,
				region_id : region_id,
				town_id : town_id,
				community_id : community_id,
				exchange : exchange
			};

			$.ajax({
				url : url,
				dataType : "json",
				type : "POST",
				data : data,
				success : function(data) {
					if (data.result == 1) {
						var url_ = getFullUrl('/api/shop/cart/get-cart-data.do');
						//关闭遮罩
						alert("加入购物车成功");
						$.ajax({
							url : url_,
							dataType : "json",
							success : function(result) {
								if (result.result == 1) {
									var goodscartnum = result.data.count;
									if (goodscartnum == 0) {
										$(".cartProNum").hide();
									} else {
										$(".cartProNum").show();
										$(".cartProNum").empty();
										$(".cartProNum").text(goodscartnum);
									}
								} else {
									//关闭遮罩
									alert(result.message);
								}
							},
							error : function() {
								//关闭遮罩
								alert("抱歉，收藏出现意外错误");

							}
						});
					} else {

						alert(data.message)
					}
				}
			})
		}
	};

});

function postAddress(){
    var area_id = $('#area_id').val();
    var regions = $('#regions').val();
    var _province_id = $('#provinceid').val();
    var _city_id = $('#cityid').val();
    var _region_id = $('#regionid').val();
    var _town_id = $('#streetid').val();
    var _community_id = $('#communityid').val();
    var _area_show_goods = isMatchRegion(area_id,regions,[_community_id,_town_id,_region_id,_city_id,_province_id])
                    ? "有货":"无货";
    
    $('#area_show_goods').html(_area_show_goods);               
}

function isMatchRegion(area_id,regions,def_address){
    if(!area_id || area_id == 0 || !regions || '' == regions){
        return true;
    }
    if(!def_address || !def_address instanceof Array || def_address.length == 0){
        return true;
    }
    
    var region_arr = regions.replace(/\|{2,}/g,'|').replace(/^\|/,'').replace(/\|$/,'').split(/\||,/);
    
    for(var i=0;i<def_address.length;i++){
        var index = region_arr.indexOf(def_address[i]);
        if(index > -1){
            return true;
        }
    }
    
    return false;
}

function getcartnum() {
	var url = getFullUrl('/api/shop/cart/get-cart-data.do');
	$.ajax({
		url : url,
		dataType : "json",
		success : function(result) {
			if (result.result == 1) {
				var goodscartnum = result.data.count;
				if (goodscartnum == 0) {
					$(".cartProNum").hide();
				} else {
					$(".cartProNum").show();
					$(".cartProNum").empty();
					$(".cartProNum").text(goodscartnum);
				}

			} else {
				//show.close_cover();          //关闭遮罩
				alert(result.message);
			}
		},
		error : function() {
			//show.close_cover();          //关闭遮罩
			alert("抱歉，收藏出现意外错误");
		}
	});
};

function hasC(obj, cls) {
	return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addC(obj, cls) {
	if (!hasC(obj, cls))
		obj.className += " " + cls;
}

function removeC(obj, cls) {
	if (hasC(obj, cls)) {
		var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
		obj.className = obj.className.replace(reg, ' ');
	}
}

function toggleC(obj, cls) {
	if (hasC(obj, cls)) {
		removeC(obj, cls);
	} else {
		addC(obj, cls);
	}
}

Array.prototype.indexOf = function(val) {
    for (var i = 0; i < this.length; i++) {
        if (this[i] == val) return i;
    }
    return -1;
};