e$(function() {

    var vouchersTotal = document.querySelector(".vouchers_total");
    var vouchers = document.querySelectorAll(".vouchers");
    var count = 0;

    for (var i = 0; i < vouchers.length; i++) {
        //console.log(parseInt(vouchers[i].innerHTML))
        count += parseInt(vouchers[i].innerHTML);
    }
    vouchersTotal.innerHTML = count;

    initShareFriend();

    //通过接口获取新人有礼数据
    function initShareFriend() {
        var url = getFullUrl('/api/mobile/index/refreshman-gift.do');
        var options = {
            url : url,
            cache : false,
            dataType : 'json',
            success : function(data) {
                if (data.result == 1) {
                    var viewData = data.data;
                    initTpl(viewData, $("#newpeople_html_templet"), $("#newpeople_html_view"));
                    initTpl(viewData, $("#product-list_html_templet"), $("#product-list_html_view"));                                                       
                    initData();
                    
                   var pageParam = e$.getParam();
                   if(pageParam && pageParam.preLogin){
                        setTimeout(function(){
                             api.sendEvent({ name: 'closeLandWin'}); 
                        },500);                      
                   }
                    
                } else {
                    e$.alert("系统出现故障 请稍后重试");
                }
            }
        }

        e$.ajax(options);
    };

    function initData() {

        //receiveState:1 领取成功 ; receiveState:2 已领取
        var receiveState = 0;

        //获取请求地址中的参数
        var inviterId = "";
        //该页面分享者的member_id
        if (inviterId == undefined || inviterId == null) {
            inviterId = "";
        }

        $('#newbtn').on('click', function(e) {
            var $bonuss = $(".bonusli");
            var jsonData = {};
            if ($bonuss.size() == 0) {
                alert("抱歉，暂无新人礼券!");
                return;
            }
            for (var i = 0; i < $bonuss.size(); i++) {
                var $bonus = $bonuss.eq(i);
                var store_id = $bonus.data("storeId");
                var type_id = $bonus.data("typeId");
                if (!store_id || !type_id) {
                    return false
                };
                var bonusData = {
                    "store_id" : store_id,
                    "type_id" : type_id
                };
                var key = "bonusData" + i;
                jsonData[key] = bonusData;
                /* console.log("key:",key); */
            }
            /* alert("jsonData::"+JSON.stringify(jsonData)); */
            var url = getFullUrl('/api/b2b2c/bonus/instant-receive-bonuss.do');
            $.ajax({
                url : url,
                data : {
                    "jsonStr" : JSON.stringify(jsonData),
                    "inviterId" : inviterId
                },
                dataType : 'json',
                type : 'POST',
                success : function(res) {
                    if (res.result == 1) {
                        alert("领取成功!");
                        // $(".maskReceive .receivesuccess").show();
                    } else {
                        if (res.data == 1) {//用户未登陆
                            var options = {
                    title : "提示信息",
                    msg : "您尚未登录！",
                    buttons : ["取消","登录"],
                    callback : function(ret, err) {
                        if (ret.buttonIndex == 2) {

                            var options = {
                                url : '../mine/landing.html',
                                name : 'landing',
                                pageParam : {
                                    back:{
                                        name : 'newpeople',
                                        url : '../home/newpeople.html',
                                        reload : true,
                                        pageParam:{
                                             preLogin: 1
                                        }
                                       
                                    }
                                }
                            };
                            e$.openWin(options);
                        } else {
                            
                        }
                    }
                };
                e$.msg(options);
                        } else if (res.data == 2) {
                            alert(res.message);
                            // $(".maskReceive .receiveover").show();
                        } else {
                            alert("请求失败!");
                        }
                    }
                },
                error : function() {
                    /* $.message.error('出现错误，请重试！'); */
                    alert("请求出错！");
                }
            });
        });

        /*
         * 点击新人有礼页面商品跳转到商品详情页面
         */
        clickNewpeopleGoods();
        function clickNewpeopleGoods() {
            $(".newpeople_goodsinfo").each(function() {
                $(this).click(function() {
                    var goods_id = $(this).attr("goods_id");
                    var param = {
                        goods_id : goods_id
                    };
                    e$.openWin({
                        name : 'goods',
                        url : '../goods/goods.html',
                        reload : true,
                        pageParam : param
                    });
                });
            });
        }

    };

    /**
     * 点击查看
     */
})

