/**
 * Created by Administrator on 2017/6/14.
 */
e$(function(){
	var param = e$.getParam();
	
	initOrderDetails();
	
	
	/*
	 * 根据订单编号初始化订单详情
	 */	
	function initOrderDetails(){
		var url= getFullUrl("/api/mobile/order/detail.do?ordersn="+param.sn_name);
		e$.ajax({
				url  : url,
				dataType:"json",
            	success : function(data) {
            		 if (data.result == 1) {
                    	var viewData = data.data;
                    	console.log(viewData);
                    	initTpl(viewData, $("#list_orderdetails_templete"), $("#orderdetails_templte"),null);
                    	$("#accounts_time").html(formatDateTime(viewData.order.payment_time));
						countDown();
						deleteOreder();//删除订单
						repeatShopping();//再次购买	
						locationRemind();//提醒发货
						remindShipment();//提醒发货	
						cancelBtn();//取消订单
						toEvaluate();//去评价
						toCustomer();//申请售后
						payment();//去支付
						
										
                       }	
            	},
            	error:function(){
            		e$.alert("系统出错");
            		postEvent();//发起事件
            	}
			});
			
	}
	 //根据上次点击时间,禁用或者激活提醒发货按钮
    function toggleDisable(currBtn,orderId,isTap){
    	var preTime = parseInt(localStorage.getItem(orderId));
		if(!preTime){
			preTime = 0;
		} else if(isNaN(preTime)) {
			preTime = 0;
		}
		var currTime = (new Date()).getTime();
		var gap = (currTime - preTime)/1000;
		if(gap > 86400){
			$(currBtn).css({
				"border-color": "#ff1c1c",
    			"color": "#ff1c1c"
			});
			$(currBtn).attr("disabled",false);
			if(isTap){
				alert("提醒发货成功，请耐心等待!");
				localStorage.setItem(orderId,currTime);
				$(currBtn).css({
					"border-color": "#999",
    				"color": "#999"
				});
			}
			return false;
		} else {
			$(currBtn).css({
				"border-color": "#999",
    			"color": "#999"
			});
			$(currBtn).attr("disabled",true);
			return false;
		}
    } 
    //发货提醒
    function remindShipment(){
    		$(".remind-shipment").on("click",function(){
    			var orderId = $(".remind-shipment").attr("data-orderId");
    			toggleDisable($(this),orderId,true); 
    			e$.execScript({
					 name: 'myorder',
					 script: 'revent('+orderId+')'
				}); 			
    			
    		})
    	
    }  
	//提醒发货
	function locationRemind(){
		var orderId = $(".remind-shipment").attr("data-orderId");
		toggleDisable( $(".remind-shipment"),orderId,false); 
	}
	//转换时间格式yyyy-m-d h:m:s
	function formatDateTime(inputTime) {    
	    var date = new Date(inputTime*1000);  
	    var y = date.getFullYear();    
	    var m = date.getMonth() + 1;    
	    m = m < 10 ? ('0' + m) : m;    
	    var d = date.getDate();    
	    d = d < 10 ? ('0' + d) : d;    
	    var h = date.getHours();  
	    h = h < 10 ? ('0' + h) : h;  
	    var minute = date.getMinutes();  
	    var second = date.getSeconds();  
	    minute = minute < 10 ? ('0' + minute) : minute;    
	    second = second < 10 ? ('0' + second) : second;   
	    return y + '-' + m + '-' + d+' '+h+':'+minute+':'+second;    
	}
	function countDown(){	
		var hour = 0;
		var min = 0;
		var second = 0;
		//后台获取的时间
		var countdownInt = parseInt(($("#timer").attr("data-create-time")/(24*60*60)));
		//解析从后台传过来的时间为时分秒
		resolveTime();
		//倒计时
		reduceTime();
		
		function fun(){
			countdownInt = countdownInt -1;
			resolveTime();
		}
		
		//倒计时
		function reduceTime(){
			var timeoutId = setInterval(fun, 1000);
			if(countdownInt == 0){
				clearInterval(timeoutId);
			}
		}
		
		//解析从后台传过来的时间为时分秒
		function resolveTime(){
			var time;
			if(countdownInt >= 3600){
				hour = parseInt(countdownInt/(60*60));
				time = countdownInt%3600;
				if(time >= 60){
					min = parseInt(time / 60);
					time = time%60;
					if(time > 0){
						second = time;
					}
				}
			} else if(countdownInt >= 60){
				min = parseInt(countdownInt/60);
				time = countdownInt%60;
				if(time > 0){
					second = time;
				}
			} else if(countdownInt > 0){
				second = time;
			}
			$("#t_h").text(hour);
			if(min >= 0 && min < 10){
				$("#t_m").text("0"+min);
			} else {
				$("#t_m").text(min);
			}
			if(second >= 0 && second < 10){
				$("#t_s").text("0"+second);
			} else {
				$("#t_s").text(second);
			}
		}
	}
	
	  //删除订单
    function deleteOreder(){
        	$(".del-order").on("click",function(){
        		url = getFullUrl('/api/mobile/order/delete.do?ordersn='+ $(".orderSn").attr("data-sn"));
        		e$.ajax({
                    url :url,
                    success: function (res) {
                        if(res.result == 1){
                            alert(res.message);
                            location.reload();
                            e$.openWin({
								name : 'myorder',
								url : './myorder.html',
								reload : true
							});
                        }else {
                            alert(res.message);
                        }
                    },
                    error: function () {
                        alert('出现错误，请重试！');
                    }
                })
        	});
        
    }
   
    
   
  /*
 * 再次购买
 */    
var falMarking = 0;
var reBuyItemslen = 0;


function repeatShopping(){
    	var $repeatShoppingBtns = $(".repeat_purchase");
        $repeatShoppingBtns.each(function(i,obj){
        	$(obj).on("click",function(){
        		var $goods = $(".order-address-productlist");
				reBuyItemslen = $goods.length;
				for(var i=0;i<$goods.length;i++){
					var productid = $goods.eq(i).attr("data-productid");
					var num =  $goods.eq(i).attr("data-num");
					sendRequest(productid,num,i+1);
				}
        		
        	});
        });
    }
   
	

//发送添加购物车的请求
function sendRequest(productid,num,times){
	if(!productid){
		return false;
	}
	if(!num){
		num = 1;
	}
	var url = getFullUrl('/api/store/store-cart/add-product.do');
	e$.ajax({
        url : url,
        data: {
        	productid: productid,
        	num:num
        },
        type: 'POST',
        success: function (res) {
            if(res.result == 1){
            	reBuyResult(reBuyItemslen,times,falMarking);
              
            }else {
                
            	falMarking++;
            	reBuyResult(reBuyItemslen,times,falMarking);
            }
        },
        error: function () {
           
        	falMarking++;
        	reBuyResult(reBuyItemslen,times,falMarking);
        }
    })
}


function reBuyResult(reBuyItemslen,times,faltimes){
		 if(reBuyItemslen == times){
		    	if(faltimes < reBuyItemslen){
					
		    		falMarking =0;
			  		reBuyItemslen = 0;
					//询问框
		  		  layer.open({
		  		    content:"订单商品成功添加购物车!"
		  		    ,btn: ['去购物车','关闭']
		  		    ,yes: function(){
		  		    	layer.close();
		  		    	e$.openWin({
							name : 'cart',
							url : '../cart/shoppingcart.html',
							reload : true
						});
		  		    },no:function(){
		  		    	location.reload();
		  		    	layer.close();
		  		    }
		  		  });
		  		 
				} else{
					falMarking = 0;
					reBuyItemslen = 0;
					e$.alert('订单商品添加购物车失败!');
				}
		 	}
		}

        
	  /*
	   * 查看物流
	   */
	 function viewLogistics(){
	 		$(".view-logistics").click(function(){
	 			var data_orderid =$(this).attr("data-orderid");
	 			var param = {
	            	orderid:data_orderid
	              };
	 			e$.openWin({
					name : 'viewlogistics',
					url : './viewlogistics.html',
					reload : true,
					pageParam:param
				});
	 		});
	 } 
	 /*
	  * 确认收货
	  */
	  function confirmReceive(){
	  		$(".confirm-receive").click(function(){
	  			var url = getFullUrl("/api/mobile/order/rog-confirm.do?orderId="+$(this).attr("data-orderid"));
		            e$.ajax({
		                url : url,
		                dataType : "json",
		                success : function(data) {
		                    if (data.result == 1) {
		                        alert(data.message);
		                        location.reload();
		                    } else {
		                        alert(data.message);
		                    }
		
		                }
		            });
	  		});
	 
	  }
	/*
	 * 去评价
	 */
  function toEvaluate(){
  	$(".repeat-evaluate").each(function(index,element){
  		$(element).click(function(){
  			var sn = $(this).attr("data-sn");
  			var productid = $(".order-address-productlist").eq(index).attr("data-productid");
  			var goodsid = $(".order-address-productlist").eq(index).attr("data-goodsid");
            var param = {
            	sn_name:sn,
            	product_id:productid,
            	goods_id:goodsid
              };
  			e$.openWin({
				name : 'goods_comment',
				url : './goods_comment.html',
				reload : true,
				pageParam:param
			});
  		});
  	});
  }
  /*
   * 申请售后
   */
  function toCustomer(){
  	$(".repeat-customer").each(function(index,element){
  		$(element).click(function(){
  			var sn = $(".order-address-productlist").eq(index).attr("data-sn");
  			var productid = $(".order-address-productlist").eq(index).attr("data-productid");
  			         
  			var param = {
            	sn_name:sn,
            	product_id:productid
              };
  			e$.openWin({
				name : 'applysale',
				url : './applysale.html',
				reload : true,
				pageParam:param
			});
  		});
  	});
  }
  //去支付
  function payment(){
    	$('#payment').click(function(){
    		var ordersn =  $(this).attr('data-sn');
    		if(ordersn == undefined || !ordersn || '' == ordersn){
    			e$.alert("数据错误");
    			return false;
    		}
    		if(!$(".goto_pay[data-sn='"+ordersn+"']").is(":hidden")){
    			
    		}else{
    			e$.alert("此订单已售罄，请重新购买！");
    			return false;
    		}
    		e$.openWin({
				name : 'gopay',
				url : '../pay/gopay.html',
				reload : true,
				pageParam : {
					ordersn: ordersn,
					type : 2
				}
			});
    	});  	
    }
   //给页面里面的所有取消订单按钮绑定单击事件
    function cancelBtn(){
        	$('.cancel-btn').click(function(){
        		$("#cancel_pop_mark").show();
        		cancelReason($(this));
          });
       
    }
     function callOffReasonSuccess(){ 
	   	$("#btn_sure_callOff").click(function(){
	    		$("#cancel_pop_mark").hide();
	    		$("#callOff_pop_mark").hide();
	    		location.reload();
	    });
    }
     function cancelReason(obj){
	    $("#btn_sure_cancel").click(function(){
	    	var reason = $.trim($("#reason").val());
	        if(reason.length > 50){
	        	alert('输入字数应在50字以内哦！');
	        	return false;
	        }
			if (reason != null && reason) {
				url = getFullUrl("/api/mobile/order/cancel.do?ordersn="+obj.attr("data-sn")+"&reason="+reason);
				e$.ajax({
				url  : url,
		    	success : function(data) {
		    		 if (data.result == 1) {
		    		 	//alert(reason);
		            	 
		            	  $("#cancel_pop_mark").hide();
		            	  $("#callOff_pop_mark").show();
		            	  callOffReasonSuccess();
		            	  
		               }else{
		               	  alert(data.message);
		               }	
		    	}
			  });
		   }
	    });
	    
	    $("#btn_box").click(function(){
	    	$("#cancel_pop_mark").hide();
		    $("#callOff_pop_mark").hide();
	    });
    }  	     
});