/**
 * Created by Administrator on 2017/5/10 0010.
 */
e$(function(){	
  	initialData();
});
var payment_id,payment_type;
function initialData(){
	e$.loading();
	var param = e$.getParam();
	
	var url     = getFullUrl('/api/mobile/payment/show-pay.do');
    var options = {
        url    : url,
        async  : true,
        type   : "POST",
        data   : {
        	ordersn : param.ordersn
        },
        success: function (data) {

            if (data.result == 1) {
              var viewData = data.data;	              
              initTpl(viewData, $("#pay_template"), $("#pay_view")); 
              bindEvents(); 
            } else {
                e$.alert(data.message);
            }
            e$.closeLoad();
        },
        error : function(){
        	e$.alert("系统出错");
        	e$.closeLoad();
        }
    };
    e$.ajax(options);	
}

function bindEvents(){
	//除余额之外的支付方式的check事件
	var checkradio=document.querySelectorAll(".checkradio");
    for(var i=0;i<checkradio.length;i++){
        checkradio[i].onclick=function (num) {
                for(var j=0;j<checkradio.length;j++){
                    removeC(checkradio[j],"checkedBgc");
                }
                addC(this,"checkedBgc");
                payment_id = this.getAttribute("payment-id");
                payment_type = this.getAttribute("plugin-id");
        };
    }
    
    //余额的check事件
    var balancePay=document.querySelector(".balancePay");
    var priority=document.querySelector(".priority");
    if(balancePay){
    	balancePay.onclick=function () {
	        if(hasC(this,"checkedBgc")){
	            removeC(this,"checkedBgc");
	            addC(priority,"display-n");
	        }else{
	            addC(this,"checkedBgc");
	            removeC(priority,"display-n");
	        }
	    };
    }
    
    
    //充值事件
    $('.recharge').click(function(){
	    e$.openWin({
	        url : '../mine/rechargeconfirmation.html',
	        name: 'rechargeconfirmation',
	        reload:true
	    });
    });
    
    //确认支付事件
    var payBtn=document.querySelector(".pay-btn");    
    payBtn.onclick=function () {
    	 var order_id,credit,totalFee;
    	 order_id   = document.getElementById("order_id").value,
     	 credit     = document.getElementById("credit").value;
    	 totalFee   = document.getElementById("totalFee").innerHTML;
    	 if(credit == undefined){
    		 credit = 0;
    	 }
    	 if(totalFee == undefined){
    		 totalFee = 0;
    	 }
    	 credit = parseFloat(credit);
    	 totalFee = parseFloat(totalFee);
    	 if(hasC(balancePay,"checkedBgc")){ //余额支付 
    		 if(payment_id == undefined){
    			 if(credit != totalFee){
    				 e$.alert("余额不足，请充值或选择其他支付方式！");
    				 return !1;
    			 }
    		 }
    		 if(credit == totalFee){
    			 payment_id = balancePay.getAttribute("payment-id");
    			 payment_type = balancePay.getAttribute("plugin-id");
    		 }
    	 }else{
    		 credit = 0;
    	 }
    	 if(payment_id == undefined){
    		 e$.alert("请选择一种支付方式！");
    		 return !1;
    	 }
    	 var advance = credit;
    	 var pay_tip = '提示：';
    	 if(payment_type == 'advanceWapPlugin'){
    	 	pay_tip += "余额抵扣"+ advance+"元";
    	 }else if(payment_type == 'wechatMobilePlugin'){
    	 	if(advance > 0){
    	 		pay_tip += "余额抵扣"+ advance+"元,";
    	 	}
    	 	pay_tip += "微信支付"+ (totalFee-advance)+"元";
    	 }else if(payment_type == 'alipayWapPlugin'){
    	 	if(advance > 0){
    	 		pay_tip += "余额抵扣"+ advance+"元,";
    	 	}
    	 	pay_tip += "支付宝支付"+ (totalFee-advance)+"元";
    	 }else if(payment_type == 'abcpayWapPlugin'){
            if(advance > 0){
                pay_tip += "余额抵扣"+ advance+"元,";
            }
            pay_tip += "农行支付"+ (totalFee-advance)+"元";
         }
    	 e$.alert(pay_tip);
    	//输入支付密码框 余额支付时
    	 var is_open = $('#is_open').val();
    	 if(payment_type && payment_type == 'advanceWapPlugin' && is_open == 1){
    	 	var options = {
				title : "请输入支付密码",
				msg : "",
				text : '',
				type:"password",
				buttons : ["取消", "确定"],
				callback : function(ret, err) {
					if (ret.buttonIndex == 2) {
						if (ret.text == '') {
							e$.alert("请输入支付密码");
							return !1;
						}
						
						var $password = removeEmojiCode(ret.text);
						var url = getFullUrl('/api/shop/member/sure-pay-password.do');
						e$.ajax({
	    	               url: url,
	    	               data:{paypassword:$password},
	    	               type: 'POST',
	    	               success: function (res) {
	    	                  if(res.result == 1){
	    	                 	   toPay(order_id,payment_id,credit,payment_type); 
	    	                  }else {
	    	                       e$.alert(res.message);
	    	                  }
	    	               },
	    	               error: function () {
	    	                  e$.alert('出现错误，请重试！');
	    	               }
	    	            });			
					}
				}
			};
	
			e$.prompt(options); 		 
    	 }else{
    		 toPay(order_id,payment_id,credit,payment_type); 
    	 }
    };
    
    function toPay(order_id,payment_id,credit,payment_type){
    	var param = e$.getParam();
    	if(!order_id || !payment_id || !payment_type){
    		e$.alert("系统错误");
    		return !1;
    	}
    	if(payment_type == ''){
    	}else{
    		e$.openWin({
		        url : './load_pay.html',
		        name: 'load_pay',
		        reload:true,
		        pageParam:{
		        	order_id:order_id,
		        	payment_id:payment_id,
		        	credit:credit,
		        	payment_type:payment_type,
		        	ordersn : param.ordersn,
		        	type:param.type		        	
		        }
		    });
    	}
    	
    }
    
    
}

function hasC(obj, cls) {
    return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addC(obj, cls) {
    if (!hasC(obj, cls)) obj.className += " " + cls;
}

function removeC(obj, cls) {
    if (hasC(obj, cls)) {
        var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
        obj.className = obj.className.replace(reg, ' ');
    }
}

function toggleC(obj, cls) {
    if (hasC(obj, cls)) {
        removeC(obj, cls);
    } else {
        addC(obj, cls);
    }
}
